Package com.collabnet.ce.soap60.webservices.planning

# Class PlanningAppSoapMockStub

java.lang.Object
com.collabnet.ce.soap60.webservices.ClientSoapStub
com.collabnet.ce.soap60.webservices.ClientSoapMockStub
com.collabnet.ce.soap60.webservices.planning.PlanningAppSoapMockStub

All Implemented Interfaces:
  `IPlanningAppSoap`

public class PlanningAppSoapMockStub extends ClientSoapMockStub implements IPlanningAppSoap

- ## Field Summary

  ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

  `DATE_WILDCARD, GUIDKEY_WILDCARD, INTEGER_WILDCARD, LONG_WILDCARD, STRING_WILDCARD`

  ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `DEFAULT_CLIENT_TIME_OUT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlanningAppSoapMockStub(String soapServerUrl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.vasoftware.sf.server.services.planning.PlanningFolderDO`
  `changePlanningFolder(String planningFolderId, String destParentId, String loggedInUser)`
  Simulate a call to changePlanningFolder
  `com.vasoftware.sf.server.services.planning.PlanningFolderDO`
  `createPlanningFolder(String sessionId, String parentId, String type, String title, String description, Date startDate, Date endDate, String status, int capacity, int pointsCapacity, String releaseId, String trackerUnitId, String burndownViewMode)`
  Simulate a call to createPlanningFolder
  `PlanningFolderSoapDO`
  `createPlanningFolder(String sessionId, String parentId, String title, String description, Date startDate, Date endDate, String status, int capacity, String releaseId)`
  Simulate a call to createPlanningFolder
  `PlanningFolder2SoapDO`
  `createPlanningFolder2(String sessionId, String parentId, String title, String description, Date startDate, Date endDate, String status, int capacity, String releaseId, String trackerUnitId)`
  Simulate a call to createPlanningFolder2
  `PlanningFolder3SoapDO`
  `createPlanningFolder3(String sessionId, String parentId, String title, String description, Date startDate, Date endDate, String status, int capacity, int pointsCapacity, String releaseId, String trackerUnitId)`
  Simulate a call to createPlanningFolder3
  `PlanningFolder4SoapDO`
  `createPlanningFolder4(String sessionId, String parentId, PlanningFolder4SoapDO soapDO)`
  Simulate a call to createPlanningFolder4
  `PlanningFolder5SoapDO`
  `createPlanningFolder5(String sessionId, String parentId, String type, String title, String description, Date startDate, Date endDate, String status, int capacity, int pointsCapacity, String releaseId, String trackerUnitId, String burndownViewMode)`
  Simulate a call to createPlanningFolder5
  `void`
  `deletePlanningFolder(String sessionId, String planningFolderId)`
  Simulate a call to deletePlanningFolder
  `com.vasoftware.sf.server.services.tracker.ArtifactDetailList`
  `getArtifactListInPlanningFolder(String parentId, String[] teamId, SoapFilter[] filters, boolean recursive, String loggedInUser)`
  Simulate a call to getArtifactListInPlanningFolder
  `ArtifactsInPlanningFolderSoapList`
  `getArtifactListInPlanningFolder(String sessionId, String parentId, SoapFilter[] filters, boolean recursive)`
  Simulate a call to getArtifactListInPlanningFolder
  `ArtifactsInPlanningFolder2SoapList`
  `getArtifactListInPlanningFolder2(String sessionId, String parentId, SoapFilter[] filters, boolean recursive)`
  Simulate a call to getArtifactListInPlanningFolder2
  `ArtifactsInPlanningFolder2SoapList`
  `getArtifactListInPlanningFolder3(String sessionId, String parentId, SoapFilter[] filters, boolean recursive, String[] teamId)`
  Simulate a call to getArtifactListInPlanningFolder3
  `Set`
  `getColumnsForArtifactsInPlanningFolder(boolean includeRelease)`
  Simulate a call to getColumnsForArtifactsInPlanningFolder
  `PlanningFolder2SoapDO`
  `getPlanningFolder2Data(String sessionId, String planningFolderId)`
  Simulate a call to getPlanningFolder2Data
  `PlanningFolder2SoapList`
  `getPlanningFolder2List(String sessionId, String parentId, boolean recursive)`
  Simulate a call to getPlanningFolder2List
  `PlanningFolder3SoapDO`
  `getPlanningFolder3Data(String sessionId, String planningFolderId)`
  Simulate a call to getPlanningFolder3Data
  `PlanningFolder3SoapList`
  `getPlanningFolder3List(String sessionId, String parentId, boolean recursive)`
  Simulate a call to getPlanningFolder3List
  `PlanningFolder4SoapDO`
  `getPlanningFolder4Data(String sessionId, String planningFolderId)`
  Simulate a call to getPlanningFolder4Data
  `PlanningFolder4SoapList`
  `getPlanningFolder4List(String sessionId, String parentId, boolean recursive)`
  Simulate a call to getPlanningFolder4List
  `PlanningFolder5SoapDO`
  `getPlanningFolder5Data(String sessionId, String planningFolderId)`
  Simulate a call to getPlanningFolder5Data
  `PlanningFolder5SoapList`
  `getPlanningFolder5List(String sessionId, String parentId, boolean recursive)`
  Simulate a call to getPlanningFolder5List
  `PlanningFolderSoapDO`
  `getPlanningFolderData(String sessionId, String planningFolderId)`
  Simulate a call to getPlanningFolderData
  `com.vasoftware.sf.server.services.planning.PlanningFolderList`
  `getPlanningFolderList(String parentId, boolean recursive, String loggedInUser)`
  Simulate a call to getPlanningFolderList
  `PlanningFolderSoapList`
  `getPlanningFolderList(String sessionId, String parentId, boolean recursive)`
  Simulate a call to getPlanningFolderList
  `com.vasoftware.sf.common.filter.Filter`
  `getPlanningFolderRecusiveFilter(String planningFolderId, com.vasoftware.sf.server.types.FolderPath planningFolderPath, String loggedInUser)`
  Simulate a call to getPlanningFolderRecusiveFilter
  `PlanningFolderSummarySoapDO`
  `getPlanningFolderSummary(String sessionId, String planningFolderId)`
  Simulate a call to getPlanningFolderSummary
  `PlanningFolderSummary2SoapDO`
  `getPlanningFolderSummary2(String sessionId, String planningFolderId)`
  Simulate a call to getPlanningFolderSummary2
  `PlanningFolderSummary2SoapList`
  `getPlanningFolderSummary2List(String sessionId, String parentId, boolean recursive)`
  Simulate a call to getPlanningFolderSummary2List
  `PlanningFolderSummary3SoapDO`
  `getPlanningFolderSummary3(String sessionId, String planningFolderId)`
  Simulate a call to getPlanningFolderSummary3
  `PlanningFolderSummary3SoapList`
  `getPlanningFolderSummary3List(String sessionId, String parentId, boolean recursive)`
  Simulate a call to getPlanningFolderSummary3List
  `PlanningFolderSummary4SoapDO`
  `getPlanningFolderSummary4(String sessionId, String planningFolderId)`
  Simulate a call to getPlanningFolderSummary4
  `PlanningFolderSummary4SoapList`
  `getPlanningFolderSummary4List(String sessionId, String parentId, boolean recursive)`
  Simulate a call to getPlanningFolderSummary4List
  `PlanningFolderSummary5SoapDO`
  `getPlanningFolderSummary5(String sessionId, String planningFolderId)`
  Simulate a call to getPlanningFolderSummary5
  `PlanningFolderSummary5SoapList`
  `getPlanningFolderSummary5List(String sessionId, String parentId, boolean recursive)`
  Simulate a call to getPlanningFolderSummary5List
  `PlanningFolderSummarySoapList`
  `getPlanningFolderSummaryList(String sessionId, String parentId, boolean recursive)`
  Simulate a call to getPlanningFolderSummaryList
  `PlanningStatusValueSoapDO[]`
  `getPlanningStatusValues(String sessionId, String projectId)`
  Simulate a call to getPlanningStatusValues
  `RankedArtifactSoapList`
  `getRankedArtifactList(String sessionId, String planningFolderId)`
  Simulate a call to getRankedArtifactList
  `RankedArtifact2SoapList`
  `getRankedArtifactList2(String sessionId, String planningFolderId)`
  Simulate a call to getRankedArtifactList2
  `com.vasoftware.sf.server.services.tracker.ArtifactDetailList`
  `getRankedArtifactListByPlannngFolder(String planningFolderId, String loggedInUser)`
  Simulate a call to getRankedArtifactListByPlannngFolder
  `void`
  `internalSetPlanningFolderData(com.vasoftware.sf.server.services.planning.PlanningFolderDO planningFolderData, String loggedInUser)`
  Simulate a call to internalSetPlanningFolderData
  `PlanningFolderSoapDO`
  `movePlanningFolder(String sessionId, String planningFolderId, String destParentId)`
  Simulate a call to movePlanningFolder
  `PlanningFolder2SoapDO`
  `movePlanningFolder2(String sessionId, String planningFolderId, String destParentId)`
  Simulate a call to movePlanningFolder2
  `PlanningFolder3SoapDO`
  `movePlanningFolder3(String sessionId, String planningFolderId, String destParentId)`
  Simulate a call to movePlanningFolder3
  `PlanningFolder4SoapDO`
  `movePlanningFolder4(String sessionId, String planningFolderId, String destParentId)`
  Simulate a call to movePlanningFolder4
  `PlanningFolder5SoapDO`
  `movePlanningFolder5(String sessionId, String planningFolderId, String destParentId)`
  Simulate a call to movePlanningFolder5
  `void`
  `prepareChangePlanningFolder(String planningFolderId, String destParentId, String loggedInUser, Object returnValue)`
  Prepare a simulated response to changePlanningFolder
  `void`
  `prepareCreatePlanningFolder(String sessionId, String parentId, String type, String title, String description, Date startDate, Date endDate, String status, int capacity, int pointsCapacity, String releaseId, String trackerUnitId, String burndownViewMode, Object returnValue)`
  Prepare a simulated response to createPlanningFolder
  `void`
  `prepareCreatePlanningFolder(String sessionId, String parentId, String title, String description, Date startDate, Date endDate, String status, int capacity, String releaseId, Object returnValue)`
  Prepare a simulated response to createPlanningFolder
  `void`
  `prepareCreatePlanningFolder2(String sessionId, String parentId, String title, String description, Date startDate, Date endDate, String status, int capacity, String releaseId, String trackerUnitId, Object returnValue)`
  Prepare a simulated response to createPlanningFolder2
  `void`
  `prepareCreatePlanningFolder3(String sessionId, String parentId, String title, String description, Date startDate, Date endDate, String status, int capacity, int pointsCapacity, String releaseId, String trackerUnitId, Object returnValue)`
  Prepare a simulated response to createPlanningFolder3
  `void`
  `prepareCreatePlanningFolder4(String sessionId, String parentId, PlanningFolder4SoapDO soapDO, Object returnValue)`
  Prepare a simulated response to createPlanningFolder4
  `void`
  `prepareCreatePlanningFolder5(String sessionId, String parentId, String type, String title, String description, Date startDate, Date endDate, String status, int capacity, int pointsCapacity, String releaseId, String trackerUnitId, String burndownViewMode, Object returnValue)`
  Prepare a simulated response to createPlanningFolder5
  `void`
  `prepareDeletePlanningFolder(String sessionId, String planningFolderId)`
  Prepare a simulated response to deletePlanningFolder
  `void`
  `prepareDeletePlanningFolder(String sessionId, String planningFolderId, Exception exception)`
  Prepare a simulated response to deletePlanningFolder
  `void`
  `prepareGetArtifactListInPlanningFolder(String parentId, String[] teamId, SoapFilter[] filters, boolean recursive, String loggedInUser, Object returnValue)`
  Prepare a simulated response to getArtifactListInPlanningFolder
  `void`
  `prepareGetArtifactListInPlanningFolder(String sessionId, String parentId, SoapFilter[] filters, boolean recursive, Object returnValue)`
  Prepare a simulated response to getArtifactListInPlanningFolder
  `void`
  `prepareGetArtifactListInPlanningFolder2(String sessionId, String parentId, SoapFilter[] filters, boolean recursive, Object returnValue)`
  Prepare a simulated response to getArtifactListInPlanningFolder2
  `void`
  `prepareGetArtifactListInPlanningFolder3(String sessionId, String parentId, SoapFilter[] filters, boolean recursive, String[] teamId, Object returnValue)`
  Prepare a simulated response to getArtifactListInPlanningFolder3
  `void`
  `prepareGetColumnsForArtifactsInPlanningFolder(boolean includeRelease, Object returnValue)`
  Prepare a simulated response to getColumnsForArtifactsInPlanningFolder
  `void`
  `prepareGetPlanningFolder2Data(String sessionId, String planningFolderId, Object returnValue)`
  Prepare a simulated response to getPlanningFolder2Data
  `void`
  `prepareGetPlanningFolder2List(String sessionId, String parentId, boolean recursive, Object returnValue)`
  Prepare a simulated response to getPlanningFolder2List
  `void`
  `prepareGetPlanningFolder3Data(String sessionId, String planningFolderId, Object returnValue)`
  Prepare a simulated response to getPlanningFolder3Data
  `void`
  `prepareGetPlanningFolder3List(String sessionId, String parentId, boolean recursive, Object returnValue)`
  Prepare a simulated response to getPlanningFolder3List
  `void`
  `prepareGetPlanningFolder4Data(String sessionId, String planningFolderId, Object returnValue)`
  Prepare a simulated response to getPlanningFolder4Data
  `void`
  `prepareGetPlanningFolder4List(String sessionId, String parentId, boolean recursive, Object returnValue)`
  Prepare a simulated response to getPlanningFolder4List
  `void`
  `prepareGetPlanningFolder5Data(String sessionId, String planningFolderId, Object returnValue)`
  Prepare a simulated response to getPlanningFolder5Data
  `void`
  `prepareGetPlanningFolder5List(String sessionId, String parentId, boolean recursive, Object returnValue)`
  Prepare a simulated response to getPlanningFolder5List
  `void`
  `prepareGetPlanningFolderData(String sessionId, String planningFolderId, Object returnValue)`
  Prepare a simulated response to getPlanningFolderData
  `void`
  `prepareGetPlanningFolderList(String parentId, boolean recursive, String loggedInUser, Object returnValue)`
  Prepare a simulated response to getPlanningFolderList
  `void`
  `prepareGetPlanningFolderList(String sessionId, String parentId, boolean recursive, Object returnValue)`
  Prepare a simulated response to getPlanningFolderList
  `void`
  `prepareGetPlanningFolderRecusiveFilter(String planningFolderId, com.vasoftware.sf.server.types.FolderPath planningFolderPath, String loggedInUser, Object returnValue)`
  Prepare a simulated response to getPlanningFolderRecusiveFilter
  `void`
  `prepareGetPlanningFolderSummary(String sessionId, String planningFolderId, Object returnValue)`
  Prepare a simulated response to getPlanningFolderSummary
  `void`
  `prepareGetPlanningFolderSummary2(String sessionId, String planningFolderId, Object returnValue)`
  Prepare a simulated response to getPlanningFolderSummary2
  `void`
  `prepareGetPlanningFolderSummary2List(String sessionId, String parentId, boolean recursive, Object returnValue)`
  Prepare a simulated response to getPlanningFolderSummary2List
  `void`
  `prepareGetPlanningFolderSummary3(String sessionId, String planningFolderId, Object returnValue)`
  Prepare a simulated response to getPlanningFolderSummary3
  `void`
  `prepareGetPlanningFolderSummary3List(String sessionId, String parentId, boolean recursive, Object returnValue)`
  Prepare a simulated response to getPlanningFolderSummary3List
  `void`
  `prepareGetPlanningFolderSummary4(String sessionId, String planningFolderId, Object returnValue)`
  Prepare a simulated response to getPlanningFolderSummary4
  `void`
  `prepareGetPlanningFolderSummary4List(String sessionId, String parentId, boolean recursive, Object returnValue)`
  Prepare a simulated response to getPlanningFolderSummary4List
  `void`
  `prepareGetPlanningFolderSummary5(String sessionId, String planningFolderId, Object returnValue)`
  Prepare a simulated response to getPlanningFolderSummary5
  `void`
  `prepareGetPlanningFolderSummary5List(String sessionId, String parentId, boolean recursive, Object returnValue)`
  Prepare a simulated response to getPlanningFolderSummary5List
  `void`
  `prepareGetPlanningFolderSummaryList(String sessionId, String parentId, boolean recursive, Object returnValue)`
  Prepare a simulated response to getPlanningFolderSummaryList
  `void`
  `prepareGetPlanningStatusValues(String sessionId, String projectId, Object returnValue)`
  Prepare a simulated response to getPlanningStatusValues
  `void`
  `prepareGetRankedArtifactList(String sessionId, String planningFolderId, Object returnValue)`
  Prepare a simulated response to getRankedArtifactList
  `void`
  `prepareGetRankedArtifactList2(String sessionId, String planningFolderId, Object returnValue)`
  Prepare a simulated response to getRankedArtifactList2
  `void`
  `prepareGetRankedArtifactListByPlannngFolder(String planningFolderId, String loggedInUser, Object returnValue)`
  Prepare a simulated response to getRankedArtifactListByPlannngFolder
  `void`
  `prepareInternalSetPlanningFolderData(com.vasoftware.sf.server.services.planning.PlanningFolderDO planningFolderData, String loggedInUser)`
  Prepare a simulated response to internalSetPlanningFolderData
  `void`
  `prepareInternalSetPlanningFolderData(com.vasoftware.sf.server.services.planning.PlanningFolderDO planningFolderData, String loggedInUser, Exception exception)`
  Prepare a simulated response to internalSetPlanningFolderData
  `void`
  `prepareMovePlanningFolder(String sessionId, String planningFolderId, String destParentId, Object returnValue)`
  Prepare a simulated response to movePlanningFolder
  `void`
  `prepareMovePlanningFolder2(String sessionId, String planningFolderId, String destParentId, Object returnValue)`
  Prepare a simulated response to movePlanningFolder2
  `void`
  `prepareMovePlanningFolder3(String sessionId, String planningFolderId, String destParentId, Object returnValue)`
  Prepare a simulated response to movePlanningFolder3
  `void`
  `prepareMovePlanningFolder4(String sessionId, String planningFolderId, String destParentId, Object returnValue)`
  Prepare a simulated response to movePlanningFolder4
  `void`
  `prepareMovePlanningFolder5(String sessionId, String planningFolderId, String destParentId, Object returnValue)`
  Prepare a simulated response to movePlanningFolder5
  `void`
  `prepareReorderPlanningFolders(String sessionId, String parentId, String[] planningFolderIds)`
  Prepare a simulated response to reorderPlanningFolders
  `void`
  `prepareReorderPlanningFolders(String sessionId, String parentId, String[] planningFolderIds, Exception exception)`
  Prepare a simulated response to reorderPlanningFolders
  `void`
  `prepareSetPlanningFolder2Data(String sessionId, PlanningFolder2SoapDO planningFolderData)`
  Prepare a simulated response to setPlanningFolder2Data
  `void`
  `prepareSetPlanningFolder2Data(String sessionId, PlanningFolder2SoapDO planningFolderData, Exception exception)`
  Prepare a simulated response to setPlanningFolder2Data
  `void`
  `prepareSetPlanningFolder3Data(String sessionId, PlanningFolder3SoapDO planningFolderData)`
  Prepare a simulated response to setPlanningFolder3Data
  `void`
  `prepareSetPlanningFolder3Data(String sessionId, PlanningFolder3SoapDO planningFolderData, Exception exception)`
  Prepare a simulated response to setPlanningFolder3Data
  `void`
  `prepareSetPlanningFolder4Data(String sessionId, PlanningFolder4SoapDO planningFolderData)`
  Prepare a simulated response to setPlanningFolder4Data
  `void`
  `prepareSetPlanningFolder4Data(String sessionId, PlanningFolder4SoapDO planningFolderData, Exception exception)`
  Prepare a simulated response to setPlanningFolder4Data
  `void`
  `prepareSetPlanningFolder5Data(String sessionId, PlanningFolder5SoapDO planningFolderData)`
  Prepare a simulated response to setPlanningFolder5Data
  `void`
  `prepareSetPlanningFolder5Data(String sessionId, PlanningFolder5SoapDO planningFolderData, Exception exception)`
  Prepare a simulated response to setPlanningFolder5Data
  `void`
  `prepareSetPlanningFolderData(String sessionId, PlanningFolderSoapDO planningFolderData)`
  Prepare a simulated response to setPlanningFolderData
  `void`
  `prepareSetPlanningFolderData(String sessionId, PlanningFolderSoapDO planningFolderData, Exception exception)`
  Prepare a simulated response to setPlanningFolderData
  `void`
  `prepareSetPlanningStatusValues(String sessionId, String projectId, PlanningStatusValueSoapDO[] statusValues)`
  Prepare a simulated response to setPlanningStatusValues
  `void`
  `prepareSetPlanningStatusValues(String sessionId, String projectId, PlanningStatusValueSoapDO[] statusValues, Exception exception)`
  Prepare a simulated response to setPlanningStatusValues
  `void`
  `prepareValidateBurndownViewMode(String burndownViewMode)`
  Prepare a simulated response to validateBurndownViewMode
  `void`
  `prepareValidateBurndownViewMode(String burndownViewMode, Exception exception)`
  Prepare a simulated response to validateBurndownViewMode
  `void`
  `prepareValidateCapacity(String name, int value)`
  Prepare a simulated response to validateCapacity
  `void`
  `prepareValidateCapacity(String name, int value, Exception exception)`
  Prepare a simulated response to validateCapacity
  `void`
  `prepareValidateDates(Date startDate, Date endDate, boolean validateParentDate, Date parentStartDate, Date parentEndDate, com.collabnet.ctf.common.server.types.EnumPlanningFolderType pfType)`
  Prepare a simulated response to validateDates
  `void`
  `prepareValidateDates(Date startDate, Date endDate, boolean validateParentDate, Date parentStartDate, Date parentEndDate, com.collabnet.ctf.common.server.types.EnumPlanningFolderType pfType, Exception exception)`
  Prepare a simulated response to validateDates
  `void`
  `reorderPlanningFolders(String sessionId, String parentId, String[] planningFolderIds)`
  Simulate a call to reorderPlanningFolders
  `void`
  `setPlanningFolder2Data(String sessionId, PlanningFolder2SoapDO planningFolderData)`
  Simulate a call to setPlanningFolder2Data
  `void`
  `setPlanningFolder3Data(String sessionId, PlanningFolder3SoapDO planningFolderData)`
  Simulate a call to setPlanningFolder3Data
  `void`
  `setPlanningFolder4Data(String sessionId, PlanningFolder4SoapDO planningFolderData)`
  Simulate a call to setPlanningFolder4Data
  `void`
  `setPlanningFolder5Data(String sessionId, PlanningFolder5SoapDO planningFolderData)`
  Simulate a call to setPlanningFolder5Data
  `void`
  `setPlanningFolderData(String sessionId, PlanningFolderSoapDO planningFolderData)`
  Simulate a call to setPlanningFolderData
  `void`
  `setPlanningStatusValues(String sessionId, String projectId, PlanningStatusValueSoapDO[] statusValues)`
  Simulate a call to setPlanningStatusValues
  `void`
  `validateBurndownViewMode(String burndownViewMode)`
  Simulate a call to validateBurndownViewMode
  `void`
  `validateCapacity(String name, int value)`
  Simulate a call to validateCapacity
  `void`
  `validateDates(Date startDate, Date endDate, boolean validateParentDate, Date parentStartDate, Date parentEndDate, com.collabnet.ctf.common.server.types.EnumPlanningFolderType pfType)`
  Simulate a call to validateDates

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

  `addSimulatedResult, addSimulatedResult, addSimulatedResult, getCallCount, getCallParameters, getUnusedCalls, simulateCall`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `getServiceCall, getSoapServer, getTimeout, setTimeout, soapParam`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PlanningAppSoapMockStub

    public PlanningAppSoapMockStub(String soapServerUrl)

- ## Method Details

  - ### prepareCreatePlanningFolder

    public void prepareCreatePlanningFolder(String sessionId, String parentId, String title, String description, Date startDate, Date endDate, String status, int capacity, String releaseId, Object returnValue)
    Prepare a simulated response to createPlanningFolder
    See Also:
      - `PlanningAppSoap.createPlanningFolder(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.util.Date, java.util.Date, java.lang.String, int, java.lang.String)`

  - ### createPlanningFolder

    public PlanningFolderSoapDO createPlanningFolder(String sessionId, String parentId, String title, String description, Date startDate, Date endDate, String status, int capacity, String releaseId) throws RemoteException
    Simulate a call to createPlanningFolder
    Specified by:
      `createPlanningFolder` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - The id of the project under which to create a new top-level planning folder
      `title` - The title of the new planning folder
      `description` - The description of the new planning folder
      `startDate` - The start date of the new planning folder
      `endDate` - The end date of the new planning folder
      `status` - The status of the new planning folder
      `capacity` - The capacity of the new planning folder
      `releaseId` - The release which is associated with the new planning folder
    Returns:
      the planning folder soap object
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `ObjectAlreadyExistsFault` - if an existing planning folder by that name already exists under the same parent
      `IllegalArgumentFault` - if invalid argument value was supplied.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.createPlanningFolder(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.util.Date, java.util.Date, java.lang.String, int, java.lang.String)`

  - ### prepareCreatePlanningFolder2

    public void prepareCreatePlanningFolder2(String sessionId, String parentId, String title, String description, Date startDate, Date endDate, String status, int capacity, String releaseId, String trackerUnitId, Object returnValue)
    Prepare a simulated response to createPlanningFolder2
    See Also:
      - `PlanningAppSoap.createPlanningFolder2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.util.Date, java.util.Date, java.lang.String, int, java.lang.String, java.lang.String)`

  - ### createPlanningFolder2

    public PlanningFolder2SoapDO createPlanningFolder2(String sessionId, String parentId, String title, String description, Date startDate, Date endDate, String status, int capacity, String releaseId, String trackerUnitId) throws RemoteException
    Simulate a call to createPlanningFolder2
    Specified by:
      `createPlanningFolder2` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - The id of the project under which to create a new top-level planning folder
      `title` - The title of the new planning folder
      `description` - The description of the new planning folder
      `startDate` - The start date of the new planning folder
      `endDate` - The end date of the new planning folder
      `status` - The status of the new planning folder
      `capacity` - The capacity of the new planning folder
      `releaseId` - The release which is associated with the new planning folder
      `trackerUnitId` - The tracker unit id
    Returns:
      the planning folder soap object
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `ObjectAlreadyExistsFault` - if an existing planning folder by that name already exists under the same parent
      `IllegalArgumentFault` - if invalid argument value was supplied.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.createPlanningFolder2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.util.Date, java.util.Date, java.lang.String, int, java.lang.String, java.lang.String)`

  - ### prepareCreatePlanningFolder3

    public void prepareCreatePlanningFolder3(String sessionId, String parentId, String title, String description, Date startDate, Date endDate, String status, int capacity, int pointsCapacity, String releaseId, String trackerUnitId, Object returnValue)
    Prepare a simulated response to createPlanningFolder3
    See Also:
      - `PlanningAppSoap.createPlanningFolder3(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.util.Date, java.util.Date, java.lang.String, int, int, java.lang.String, java.lang.String)`

  - ### createPlanningFolder3

    public PlanningFolder3SoapDO createPlanningFolder3(String sessionId, String parentId, String title, String description, Date startDate, Date endDate, String status, int capacity, int pointsCapacity, String releaseId, String trackerUnitId) throws RemoteException
    Simulate a call to createPlanningFolder3
    Specified by:
      `createPlanningFolder3` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - The id of the project under which to create a new top-level planning folder
      `title` - The title of the new planning folder
      `description` - The description of the new planning folder
      `startDate` - The start date of the new planning folder
      `endDate` - The end date of the new planning folder
      `status` - The status of the new planning folder
      `capacity` - The efforts capacity of the new planning folder
      `pointsCapacity` - The points capacity of the new planning folder
      `releaseId` - The release which is associated with the new planning folder
      `trackerUnitId` - The tracker unit id
    Returns:
      the planning folder soap object
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `ObjectAlreadyExistsFault` - if an existing planning folder by that name already exists under the same parent
      `IllegalArgumentFault` - if invalid argument value was supplied.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.createPlanningFolder3(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.util.Date, java.util.Date, java.lang.String, int, int, java.lang.String, java.lang.String)`

  - ### prepareCreatePlanningFolder4

    public void prepareCreatePlanningFolder4(String sessionId, String parentId, PlanningFolder4SoapDO soapDO, Object returnValue)
    Prepare a simulated response to createPlanningFolder4
    See Also:
      - `PlanningAppSoap.createPlanningFolder4(java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.planning.PlanningFolder4SoapDO)`

  - ### createPlanningFolder4

    public PlanningFolder4SoapDO createPlanningFolder4(String sessionId, String parentId, PlanningFolder4SoapDO soapDO) throws RemoteException
    Simulate a call to createPlanningFolder4
    Specified by:
      `createPlanningFolder4` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - The id of the project under which to create a new top-level planning folder
      `soapDO` - a `PlanningFolder4SoapDO` object
    Returns:
      the planning folder soap object
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `ObjectAlreadyExistsFault` - if an existing planning folder by that name already exists under the same parent
      `IllegalArgumentFault` - if invalid argument value was supplied.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.createPlanningFolder4(java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.planning.PlanningFolder4SoapDO)`

  - ### prepareCreatePlanningFolder5

    public void prepareCreatePlanningFolder5(String sessionId, String parentId, String type, String title, String description, Date startDate, Date endDate, String status, int capacity, int pointsCapacity, String releaseId, String trackerUnitId, String burndownViewMode, Object returnValue)
    Prepare a simulated response to createPlanningFolder5
    See Also:
      - `PlanningAppSoap.createPlanningFolder5(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.util.Date, java.util.Date, java.lang.String, int, int, java.lang.String, java.lang.String, java.lang.String)`

  - ### createPlanningFolder5

    public PlanningFolder5SoapDO createPlanningFolder5(String sessionId, String parentId, String type, String title, String description, Date startDate, Date endDate, String status, int capacity, int pointsCapacity, String releaseId, String trackerUnitId, String burndownViewMode) throws RemoteException
    Simulate a call to createPlanningFolder5
    Specified by:
      `createPlanningFolder5` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - The id of the project under which to create a new top-level planning folder
      `type` - The type of the new planning folder
      `title` - The title of the new planning folder
      `description` - The description of the new planning folder
      `startDate` - The start date of the new planning folder
      `endDate` - The end date of the new planning folder
      `status` - The status of the new planning folder
      `capacity` - The efforts capacity of the new planning folder
      `pointsCapacity` - The points capacity of the new planning folder
      `releaseId` - The release which is associated with the new planning folder
      `trackerUnitId` - The tracker unit id
      `burndownViewMode` - The burn down view mode
    Returns:
      the planning folder soap object
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `ObjectAlreadyExistsFault` - if an existing planning folder by that name already exists under the same parent
      `IllegalArgumentFault` - if invalid argument value was supplied.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.createPlanningFolder5(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.util.Date, java.util.Date, java.lang.String, int, int, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareCreatePlanningFolder

    public void prepareCreatePlanningFolder(String sessionId, String parentId, String type, String title, String description, Date startDate, Date endDate, String status, int capacity, int pointsCapacity, String releaseId, String trackerUnitId, String burndownViewMode, Object returnValue)
    Prepare a simulated response to createPlanningFolder
    See Also:
      - `PlanningAppSoap.createPlanningFolder(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.util.Date, java.util.Date, java.lang.String, int, java.lang.String)`

  - ### createPlanningFolder

    public com.vasoftware.sf.server.services.planning.PlanningFolderDO createPlanningFolder(String sessionId, String parentId, String type, String title, String description, Date startDate, Date endDate, String status, int capacity, int pointsCapacity, String releaseId, String trackerUnitId, String burndownViewMode) throws RemoteException
    Simulate a call to createPlanningFolder
    Throws:
      `RemoteException`
    See Also:
      - `PlanningAppSoap.createPlanningFolder(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.util.Date, java.util.Date, java.lang.String, int, java.lang.String)`

  - ### prepareValidateDates

    public void prepareValidateDates(Date startDate, Date endDate, boolean validateParentDate, Date parentStartDate, Date parentEndDate, com.collabnet.ctf.common.server.types.EnumPlanningFolderType pfType)
    Prepare a simulated response to validateDates
    See Also:
      - `PlanningAppSoap.validateDates(java.util.Date, java.util.Date, boolean, java.util.Date, java.util.Date, com.collabnet.ctf.common.server.types.EnumPlanningFolderType)`

  - ### prepareValidateDates

    public void prepareValidateDates(Date startDate, Date endDate, boolean validateParentDate, Date parentStartDate, Date parentEndDate, com.collabnet.ctf.common.server.types.EnumPlanningFolderType pfType, Exception exception)
    Prepare a simulated response to validateDates
    See Also:
      - `PlanningAppSoap.validateDates(java.util.Date, java.util.Date, boolean, java.util.Date, java.util.Date, com.collabnet.ctf.common.server.types.EnumPlanningFolderType)`

  - ### validateDates

    public void validateDates(Date startDate, Date endDate, boolean validateParentDate, Date parentStartDate, Date parentEndDate, com.collabnet.ctf.common.server.types.EnumPlanningFolderType pfType) throws RemoteException
    Simulate a call to validateDates
    Throws:
      `RemoteException`
    See Also:
      - `PlanningAppSoap.validateDates(java.util.Date, java.util.Date, boolean, java.util.Date, java.util.Date, com.collabnet.ctf.common.server.types.EnumPlanningFolderType)`

  - ### prepareGetPlanningFolderData

    public void prepareGetPlanningFolderData(String sessionId, String planningFolderId, Object returnValue)
    Prepare a simulated response to getPlanningFolderData
    See Also:
      - `PlanningAppSoap.getPlanningFolderData(java.lang.String, java.lang.String)`

  - ### getPlanningFolderData

    public PlanningFolderSoapDO getPlanningFolderData(String sessionId, String planningFolderId) throws RemoteException
    Simulate a call to getPlanningFolderData
    Specified by:
      `getPlanningFolderData` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - PlanningFolder id.
    Returns:
      Detailed data on the PlanningFolder.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when argument is invalid.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getPlanningFolderData(java.lang.String, java.lang.String)`

  - ### prepareGetPlanningFolder2Data

    public void prepareGetPlanningFolder2Data(String sessionId, String planningFolderId, Object returnValue)
    Prepare a simulated response to getPlanningFolder2Data
    See Also:
      - `PlanningAppSoap.getPlanningFolder2Data(java.lang.String, java.lang.String)`

  - ### getPlanningFolder2Data

    public PlanningFolder2SoapDO getPlanningFolder2Data(String sessionId, String planningFolderId) throws RemoteException
    Simulate a call to getPlanningFolder2Data
    Specified by:
      `getPlanningFolder2Data` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - PlanningFolder id.
    Returns:
      Detailed data on the PlanningFolder.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when argument is invalid.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getPlanningFolder2Data(java.lang.String, java.lang.String)`

  - ### prepareGetPlanningFolder3Data

    public void prepareGetPlanningFolder3Data(String sessionId, String planningFolderId, Object returnValue)
    Prepare a simulated response to getPlanningFolder3Data
    See Also:
      - `PlanningAppSoap.getPlanningFolder3Data(java.lang.String, java.lang.String)`

  - ### getPlanningFolder3Data

    public PlanningFolder3SoapDO getPlanningFolder3Data(String sessionId, String planningFolderId) throws RemoteException
    Simulate a call to getPlanningFolder3Data
    Specified by:
      `getPlanningFolder3Data` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - PlanningFolder id.
    Returns:
      Detailed data on the PlanningFolder.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when argument is invalid.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getPlanningFolder3Data(java.lang.String, java.lang.String)`

  - ### prepareGetPlanningFolder4Data

    public void prepareGetPlanningFolder4Data(String sessionId, String planningFolderId, Object returnValue)
    Prepare a simulated response to getPlanningFolder4Data
    See Also:
      - `PlanningAppSoap.getPlanningFolder4Data(java.lang.String, java.lang.String)`

  - ### getPlanningFolder4Data

    public PlanningFolder4SoapDO getPlanningFolder4Data(String sessionId, String planningFolderId) throws RemoteException
    Simulate a call to getPlanningFolder4Data
    Specified by:
      `getPlanningFolder4Data` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - PlanningFolder id.
    Returns:
      Detailed data on the PlanningFolder.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when argument is invalid.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getPlanningFolder4Data(java.lang.String, java.lang.String)`

  - ### prepareGetPlanningFolder5Data

    public void prepareGetPlanningFolder5Data(String sessionId, String planningFolderId, Object returnValue)
    Prepare a simulated response to getPlanningFolder5Data
    See Also:
      - `PlanningAppSoap.getPlanningFolder5Data(java.lang.String, java.lang.String)`

  - ### getPlanningFolder5Data

    public PlanningFolder5SoapDO getPlanningFolder5Data(String sessionId, String planningFolderId) throws RemoteException
    Simulate a call to getPlanningFolder5Data
    Specified by:
      `getPlanningFolder5Data` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - PlanningFolder id.
    Returns:
      Detailed data on the PlanningFolder.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when argument is invalid.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getPlanningFolder5Data(java.lang.String, java.lang.String)`

  - ### prepareGetPlanningFolderSummary

    public void prepareGetPlanningFolderSummary(String sessionId, String planningFolderId, Object returnValue)
    Prepare a simulated response to getPlanningFolderSummary
    See Also:
      - `PlanningAppSoap.getPlanningFolderSummary(java.lang.String, java.lang.String)`

  - ### getPlanningFolderSummary

    public PlanningFolderSummarySoapDO getPlanningFolderSummary(String sessionId, String planningFolderId) throws RemoteException
    Simulate a call to getPlanningFolderSummary
    Specified by:
      `getPlanningFolderSummary` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - PlanningFolder id.
    Returns:
      Statistics for the artifacts in the PlanningFolder.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when argument is invalid.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getPlanningFolderSummary(java.lang.String, java.lang.String)`

  - ### prepareGetPlanningFolderSummary2

    public void prepareGetPlanningFolderSummary2(String sessionId, String planningFolderId, Object returnValue)
    Prepare a simulated response to getPlanningFolderSummary2
    See Also:
      - `PlanningAppSoap.getPlanningFolderSummary2(java.lang.String, java.lang.String)`

  - ### getPlanningFolderSummary2

    public PlanningFolderSummary2SoapDO getPlanningFolderSummary2(String sessionId, String planningFolderId) throws RemoteException
    Simulate a call to getPlanningFolderSummary2
    Specified by:
      `getPlanningFolderSummary2` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - PlanningFolder id.
    Returns:
      Statistics for the artifacts in the PlanningFolder.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when argument is invalid.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getPlanningFolderSummary2(java.lang.String, java.lang.String)`

  - ### prepareGetPlanningFolderSummary3

    public void prepareGetPlanningFolderSummary3(String sessionId, String planningFolderId, Object returnValue)
    Prepare a simulated response to getPlanningFolderSummary3
    See Also:
      - `PlanningAppSoap.getPlanningFolderSummary3(java.lang.String, java.lang.String)`

  - ### getPlanningFolderSummary3

    public PlanningFolderSummary3SoapDO getPlanningFolderSummary3(String sessionId, String planningFolderId) throws RemoteException
    Simulate a call to getPlanningFolderSummary3
    Specified by:
      `getPlanningFolderSummary3` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - PlanningFolder id.
    Returns:
      Statistics for the artifacts in the PlanningFolder.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when argument is invalid.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getPlanningFolderSummary3(java.lang.String, java.lang.String)`

  - ### prepareGetPlanningFolderSummary4

    public void prepareGetPlanningFolderSummary4(String sessionId, String planningFolderId, Object returnValue)
    Prepare a simulated response to getPlanningFolderSummary4
    See Also:
      - `PlanningAppSoap.getPlanningFolderSummary4(java.lang.String, java.lang.String)`

  - ### getPlanningFolderSummary4

    public PlanningFolderSummary4SoapDO getPlanningFolderSummary4(String sessionId, String planningFolderId) throws RemoteException
    Simulate a call to getPlanningFolderSummary4
    Specified by:
      `getPlanningFolderSummary4` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - PlanningFolder id.
    Returns:
      Statistics for the artifacts in the PlanningFolder.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when argument is invalid.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getPlanningFolderSummary4(java.lang.String, java.lang.String)`

  - ### prepareGetPlanningFolderSummary5

    public void prepareGetPlanningFolderSummary5(String sessionId, String planningFolderId, Object returnValue)
    Prepare a simulated response to getPlanningFolderSummary5
    See Also:
      - `PlanningAppSoap.getPlanningFolderSummary5(java.lang.String, java.lang.String)`

  - ### getPlanningFolderSummary5

    public PlanningFolderSummary5SoapDO getPlanningFolderSummary5(String sessionId, String planningFolderId) throws RemoteException
    Simulate a call to getPlanningFolderSummary5
    Specified by:
      `getPlanningFolderSummary5` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - PlanningFolder id.
    Returns:
      Statistics for the artifacts in the PlanningFolder.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when argument is invalid.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getPlanningFolderSummary5(java.lang.String, java.lang.String)`

  - ### prepareGetPlanningFolderSummaryList

    public void prepareGetPlanningFolderSummaryList(String sessionId, String parentId, boolean recursive, Object returnValue)
    Prepare a simulated response to getPlanningFolderSummaryList
    See Also:
      - `PlanningAppSoap.getPlanningFolderSummaryList(java.lang.String, java.lang.String, boolean)`

  - ### getPlanningFolderSummaryList

    public PlanningFolderSummarySoapList getPlanningFolderSummaryList(String sessionId, String parentId, boolean recursive) throws RemoteException
    Simulate a call to getPlanningFolderSummaryList
    Specified by:
      `getPlanningFolderSummaryList` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
      `recursive` - Show subfolders of the planning folders returned
    Returns:
      List of filtered planning folder
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when invalid argument value is passed.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getPlanningFolderSummaryList(java.lang.String, java.lang.String, boolean)`

  - ### prepareGetPlanningFolderSummary2List

    public void prepareGetPlanningFolderSummary2List(String sessionId, String parentId, boolean recursive, Object returnValue)
    Prepare a simulated response to getPlanningFolderSummary2List
    See Also:
      - `PlanningAppSoap.getPlanningFolderSummary2List(java.lang.String, java.lang.String, boolean)`

  - ### getPlanningFolderSummary2List

    public PlanningFolderSummary2SoapList getPlanningFolderSummary2List(String sessionId, String parentId, boolean recursive) throws RemoteException
    Simulate a call to getPlanningFolderSummary2List
    Specified by:
      `getPlanningFolderSummary2List` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
      `recursive` - Show subfolders of the planning folders returned
    Returns:
      List of filtered planning folder
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when invalid argument value is passed.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getPlanningFolderSummary2List(java.lang.String, java.lang.String, boolean)`

  - ### prepareGetPlanningFolderSummary3List

    public void prepareGetPlanningFolderSummary3List(String sessionId, String parentId, boolean recursive, Object returnValue)
    Prepare a simulated response to getPlanningFolderSummary3List
    See Also:
      - `PlanningAppSoap.getPlanningFolderSummary3List(java.lang.String, java.lang.String, boolean)`

  - ### getPlanningFolderSummary3List

    public PlanningFolderSummary3SoapList getPlanningFolderSummary3List(String sessionId, String parentId, boolean recursive) throws RemoteException
    Simulate a call to getPlanningFolderSummary3List
    Specified by:
      `getPlanningFolderSummary3List` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
      `recursive` - Show subfolders of the planning folders returned
    Returns:
      List of filtered planning folder
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when invalid argument value is passed.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getPlanningFolderSummary3List(java.lang.String, java.lang.String, boolean)`

  - ### prepareGetPlanningFolderSummary4List

    public void prepareGetPlanningFolderSummary4List(String sessionId, String parentId, boolean recursive, Object returnValue)
    Prepare a simulated response to getPlanningFolderSummary4List
    See Also:
      - `PlanningAppSoap.getPlanningFolderSummary4List(java.lang.String, java.lang.String, boolean)`

  - ### getPlanningFolderSummary4List

    public PlanningFolderSummary4SoapList getPlanningFolderSummary4List(String sessionId, String parentId, boolean recursive) throws RemoteException
    Simulate a call to getPlanningFolderSummary4List
    Specified by:
      `getPlanningFolderSummary4List` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
      `recursive` - Show subfolders of the planning folders returned
    Returns:
      List of filtered planning folder
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when invalid argument value is passed.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getPlanningFolderSummary4List(java.lang.String, java.lang.String, boolean)`

  - ### prepareGetPlanningFolderSummary5List

    public void prepareGetPlanningFolderSummary5List(String sessionId, String parentId, boolean recursive, Object returnValue)
    Prepare a simulated response to getPlanningFolderSummary5List
    See Also:
      - `PlanningAppSoap.getPlanningFolderSummary5List(java.lang.String, java.lang.String, boolean)`

  - ### getPlanningFolderSummary5List

    public PlanningFolderSummary5SoapList getPlanningFolderSummary5List(String sessionId, String parentId, boolean recursive) throws RemoteException
    Simulate a call to getPlanningFolderSummary5List
    Specified by:
      `getPlanningFolderSummary5List` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
      `recursive` - Show subfolders of the planning folders returned
    Returns:
      List of filtered planning folder
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when invalid argument value is passed.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getPlanningFolderSummary5List(java.lang.String, java.lang.String, boolean)`

  - ### prepareInternalSetPlanningFolderData

    public void prepareInternalSetPlanningFolderData(com.vasoftware.sf.server.services.planning.PlanningFolderDO planningFolderData, String loggedInUser)
    Prepare a simulated response to internalSetPlanningFolderData
    See Also:
      - `PlanningAppSoap.internalSetPlanningFolderData(com.vasoftware.sf.server.services.planning.PlanningFolderDO, java.lang.String)`

  - ### prepareInternalSetPlanningFolderData

    public void prepareInternalSetPlanningFolderData(com.vasoftware.sf.server.services.planning.PlanningFolderDO planningFolderData, String loggedInUser, Exception exception)
    Prepare a simulated response to internalSetPlanningFolderData
    See Also:
      - `PlanningAppSoap.internalSetPlanningFolderData(com.vasoftware.sf.server.services.planning.PlanningFolderDO, java.lang.String)`

  - ### internalSetPlanningFolderData

    public void internalSetPlanningFolderData(com.vasoftware.sf.server.services.planning.PlanningFolderDO planningFolderData, String loggedInUser) throws RemoteException
    Simulate a call to internalSetPlanningFolderData
    Throws:
      `RemoteException`
    See Also:
      - `PlanningAppSoap.internalSetPlanningFolderData(com.vasoftware.sf.server.services.planning.PlanningFolderDO, java.lang.String)`

  - ### prepareSetPlanningFolderData

    public void prepareSetPlanningFolderData(String sessionId, PlanningFolderSoapDO planningFolderData)
    Prepare a simulated response to setPlanningFolderData
    See Also:
      - `PlanningAppSoap.setPlanningFolderData(java.lang.String, com.collabnet.ce.soap60.webservices.planning.PlanningFolderSoapDO)`

  - ### prepareSetPlanningFolderData

    public void prepareSetPlanningFolderData(String sessionId, PlanningFolderSoapDO planningFolderData, Exception exception)
    Prepare a simulated response to setPlanningFolderData
    See Also:
      - `PlanningAppSoap.setPlanningFolderData(java.lang.String, com.collabnet.ce.soap60.webservices.planning.PlanningFolderSoapDO)`

  - ### setPlanningFolderData

    public void setPlanningFolderData(String sessionId, PlanningFolderSoapDO planningFolderData) throws RemoteException
    Simulate a call to setPlanningFolderData
    Specified by:
      `setPlanningFolderData` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderData` - Detailed data on the planning folder to set.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when invalid data is specified.
      `VersionMismatchFault` - when the data object is not up to date any more.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.setPlanningFolderData(java.lang.String, com.collabnet.ce.soap60.webservices.planning.PlanningFolderSoapDO)`

  - ### prepareSetPlanningFolder2Data

    public void prepareSetPlanningFolder2Data(String sessionId, PlanningFolder2SoapDO planningFolderData)
    Prepare a simulated response to setPlanningFolder2Data
    See Also:
      - `PlanningAppSoap.setPlanningFolder2Data(java.lang.String, com.collabnet.ce.soap60.webservices.planning.PlanningFolder2SoapDO)`

  - ### prepareSetPlanningFolder2Data

    public void prepareSetPlanningFolder2Data(String sessionId, PlanningFolder2SoapDO planningFolderData, Exception exception)
    Prepare a simulated response to setPlanningFolder2Data
    See Also:
      - `PlanningAppSoap.setPlanningFolder2Data(java.lang.String, com.collabnet.ce.soap60.webservices.planning.PlanningFolder2SoapDO)`

  - ### setPlanningFolder2Data

    public void setPlanningFolder2Data(String sessionId, PlanningFolder2SoapDO planningFolderData) throws RemoteException
    Simulate a call to setPlanningFolder2Data
    Specified by:
      `setPlanningFolder2Data` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderData` - Detailed data on the planning folder to set.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when invalid data is specified.
      `VersionMismatchFault` - when the data object is not up to date any more.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.setPlanningFolder2Data(java.lang.String, com.collabnet.ce.soap60.webservices.planning.PlanningFolder2SoapDO)`

  - ### prepareSetPlanningFolder3Data

    public void prepareSetPlanningFolder3Data(String sessionId, PlanningFolder3SoapDO planningFolderData)
    Prepare a simulated response to setPlanningFolder3Data
    See Also:
      - `PlanningAppSoap.setPlanningFolder3Data(java.lang.String, com.collabnet.ce.soap60.webservices.planning.PlanningFolder3SoapDO)`

  - ### prepareSetPlanningFolder3Data

    public void prepareSetPlanningFolder3Data(String sessionId, PlanningFolder3SoapDO planningFolderData, Exception exception)
    Prepare a simulated response to setPlanningFolder3Data
    See Also:
      - `PlanningAppSoap.setPlanningFolder3Data(java.lang.String, com.collabnet.ce.soap60.webservices.planning.PlanningFolder3SoapDO)`

  - ### setPlanningFolder3Data

    public void setPlanningFolder3Data(String sessionId, PlanningFolder3SoapDO planningFolderData) throws RemoteException
    Simulate a call to setPlanningFolder3Data
    Specified by:
      `setPlanningFolder3Data` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderData` - Detailed data on the planning folder to set.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when invalid data is specified.
      `VersionMismatchFault` - when the data object is not up to date any more.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.setPlanningFolder3Data(java.lang.String, com.collabnet.ce.soap60.webservices.planning.PlanningFolder3SoapDO)`

  - ### prepareSetPlanningFolder4Data

    public void prepareSetPlanningFolder4Data(String sessionId, PlanningFolder4SoapDO planningFolderData)
    Prepare a simulated response to setPlanningFolder4Data
    See Also:
      - `PlanningAppSoap.setPlanningFolder4Data(java.lang.String, com.collabnet.ce.soap60.webservices.planning.PlanningFolder4SoapDO)`

  - ### prepareSetPlanningFolder4Data

    public void prepareSetPlanningFolder4Data(String sessionId, PlanningFolder4SoapDO planningFolderData, Exception exception)
    Prepare a simulated response to setPlanningFolder4Data
    See Also:
      - `PlanningAppSoap.setPlanningFolder4Data(java.lang.String, com.collabnet.ce.soap60.webservices.planning.PlanningFolder4SoapDO)`

  - ### setPlanningFolder4Data

    public void setPlanningFolder4Data(String sessionId, PlanningFolder4SoapDO planningFolderData) throws RemoteException
    Simulate a call to setPlanningFolder4Data
    Specified by:
      `setPlanningFolder4Data` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderData` - Detailed data on the planning folder to set.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when invalid data is specified.
      `VersionMismatchFault` - when the data object is not up to date any more.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.setPlanningFolder4Data(java.lang.String, com.collabnet.ce.soap60.webservices.planning.PlanningFolder4SoapDO)`

  - ### prepareSetPlanningFolder5Data

    public void prepareSetPlanningFolder5Data(String sessionId, PlanningFolder5SoapDO planningFolderData)
    Prepare a simulated response to setPlanningFolder5Data
    See Also:
      - `PlanningAppSoap.setPlanningFolder5Data(java.lang.String, com.collabnet.ce.soap60.webservices.planning.PlanningFolder5SoapDO)`

  - ### prepareSetPlanningFolder5Data

    public void prepareSetPlanningFolder5Data(String sessionId, PlanningFolder5SoapDO planningFolderData, Exception exception)
    Prepare a simulated response to setPlanningFolder5Data
    See Also:
      - `PlanningAppSoap.setPlanningFolder5Data(java.lang.String, com.collabnet.ce.soap60.webservices.planning.PlanningFolder5SoapDO)`

  - ### setPlanningFolder5Data

    public void setPlanningFolder5Data(String sessionId, PlanningFolder5SoapDO planningFolderData) throws RemoteException
    Simulate a call to setPlanningFolder5Data
    Specified by:
      `setPlanningFolder5Data` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderData` - Detailed data on the planning folder to set.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when invalid data is specified.
      `VersionMismatchFault` - when the data object is not up to date any more.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.setPlanningFolder5Data(java.lang.String, com.collabnet.ce.soap60.webservices.planning.PlanningFolder5SoapDO)`

  - ### prepareGetPlanningFolderList

    public void prepareGetPlanningFolderList(String sessionId, String parentId, boolean recursive, Object returnValue)
    Prepare a simulated response to getPlanningFolderList
    See Also:
      - `PlanningAppSoap.getPlanningFolderList(java.lang.String, java.lang.String, boolean)`

  - ### getPlanningFolderList

    public PlanningFolderSoapList getPlanningFolderList(String sessionId, String parentId, boolean recursive) throws RemoteException
    Simulate a call to getPlanningFolderList
    Specified by:
      `getPlanningFolderList` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
      `recursive` - Show subfolders of the planning folders returned
    Returns:
      List of filtered planning folder
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when ivalid argument value is passed.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getPlanningFolderList(java.lang.String, java.lang.String, boolean)`

  - ### prepareGetPlanningFolder2List

    public void prepareGetPlanningFolder2List(String sessionId, String parentId, boolean recursive, Object returnValue)
    Prepare a simulated response to getPlanningFolder2List
    See Also:
      - `PlanningAppSoap.getPlanningFolder2List(java.lang.String, java.lang.String, boolean)`

  - ### getPlanningFolder2List

    public PlanningFolder2SoapList getPlanningFolder2List(String sessionId, String parentId, boolean recursive) throws RemoteException
    Simulate a call to getPlanningFolder2List
    Specified by:
      `getPlanningFolder2List` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
      `recursive` - Show subfolders of the planning folders returned
    Returns:
      List of filtered planning folder
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when ivalid argument value is passed.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getPlanningFolder2List(java.lang.String, java.lang.String, boolean)`

  - ### prepareGetPlanningFolder3List

    public void prepareGetPlanningFolder3List(String sessionId, String parentId, boolean recursive, Object returnValue)
    Prepare a simulated response to getPlanningFolder3List
    See Also:
      - `PlanningAppSoap.getPlanningFolder3List(java.lang.String, java.lang.String, boolean)`

  - ### getPlanningFolder3List

    public PlanningFolder3SoapList getPlanningFolder3List(String sessionId, String parentId, boolean recursive) throws RemoteException
    Simulate a call to getPlanningFolder3List
    Specified by:
      `getPlanningFolder3List` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
      `recursive` - Show subfolders of the planning folders returned
    Returns:
      List of filtered planning folder
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when ivalid argument value is passed.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getPlanningFolder3List(java.lang.String, java.lang.String, boolean)`

  - ### prepareGetPlanningFolder4List

    public void prepareGetPlanningFolder4List(String sessionId, String parentId, boolean recursive, Object returnValue)
    Prepare a simulated response to getPlanningFolder4List
    See Also:
      - `PlanningAppSoap.getPlanningFolder4List(java.lang.String, java.lang.String, boolean)`

  - ### getPlanningFolder4List

    public PlanningFolder4SoapList getPlanningFolder4List(String sessionId, String parentId, boolean recursive) throws RemoteException
    Simulate a call to getPlanningFolder4List
    Specified by:
      `getPlanningFolder4List` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
      `recursive` - Show subfolders of the planning folders returned
    Returns:
      List of filtered planning folder
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when ivalid argument value is passed.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getPlanningFolder4List(java.lang.String, java.lang.String, boolean)`

  - ### prepareGetPlanningFolder5List

    public void prepareGetPlanningFolder5List(String sessionId, String parentId, boolean recursive, Object returnValue)
    Prepare a simulated response to getPlanningFolder5List
    See Also:
      - `PlanningAppSoap.getPlanningFolder5List(java.lang.String, java.lang.String, boolean)`

  - ### getPlanningFolder5List

    public PlanningFolder5SoapList getPlanningFolder5List(String sessionId, String parentId, boolean recursive) throws RemoteException
    Simulate a call to getPlanningFolder5List
    Specified by:
      `getPlanningFolder5List` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
      `recursive` - Show subfolders of the planning folders returned
    Returns:
      List of filtered planning folder
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when ivalid argument value is passed.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getPlanningFolder5List(java.lang.String, java.lang.String, boolean)`

  - ### prepareGetPlanningFolderList

    public void prepareGetPlanningFolderList(String parentId, boolean recursive, String loggedInUser, Object returnValue)
    Prepare a simulated response to getPlanningFolderList
    See Also:
      - `PlanningAppSoap.getPlanningFolderList(java.lang.String, java.lang.String, boolean)`

  - ### getPlanningFolderList

    public com.vasoftware.sf.server.services.planning.PlanningFolderList getPlanningFolderList(String parentId, boolean recursive, String loggedInUser) throws RemoteException
    Simulate a call to getPlanningFolderList
    Throws:
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getPlanningFolderList(java.lang.String, java.lang.String, boolean)`

  - ### prepareGetArtifactListInPlanningFolder

    public void prepareGetArtifactListInPlanningFolder(String sessionId, String parentId, SoapFilter[] filters, boolean recursive, Object returnValue)
    Prepare a simulated response to getArtifactListInPlanningFolder
    See Also:
      - `PlanningAppSoap.getArtifactListInPlanningFolder(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[], boolean)`

  - ### getArtifactListInPlanningFolder

    public ArtifactsInPlanningFolderSoapList getArtifactListInPlanningFolder(String sessionId, String parentId, SoapFilter[] filters, boolean recursive) throws RemoteException
    Simulate a call to getArtifactListInPlanningFolder
    Specified by:
      `getArtifactListInPlanningFolder` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - parentId
      `filters` - Array of filters to apply (null to return unfiltered list).
      `recursive` - indicates if descendents planning folder artifacts will be included in the result
    Returns:
      List of artifacts contained in the planning folder/its descendents or artifacts not planned yet.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `InvalidFilterFault` - when the specified filters are invalid.
      `IllegalArgumentFault` - if invalid argument value is passed.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getArtifactListInPlanningFolder(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[], boolean)`

  - ### prepareGetArtifactListInPlanningFolder2

    public void prepareGetArtifactListInPlanningFolder2(String sessionId, String parentId, SoapFilter[] filters, boolean recursive, Object returnValue)
    Prepare a simulated response to getArtifactListInPlanningFolder2
    See Also:
      - `PlanningAppSoap.getArtifactListInPlanningFolder2(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[], boolean)`

  - ### getArtifactListInPlanningFolder2

    public ArtifactsInPlanningFolder2SoapList getArtifactListInPlanningFolder2(String sessionId, String parentId, SoapFilter[] filters, boolean recursive) throws RemoteException
    Simulate a call to getArtifactListInPlanningFolder2
    Specified by:
      `getArtifactListInPlanningFolder2` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - if parentId is a planning folder id, this method will return artifacts that are part of this planning folder
      `filters` - Array of filters to apply (null to return unfiltered list).
      `recursive` - indicates if descendents planning folder artifacts will be included in the result
    Returns:
      List of artifacts contained in the planning folder/its descendents or artifacts not planned yet.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `InvalidFilterFault` - when the specified filters are invalid.
      `IllegalArgumentFault` - if invalid argument value is passed.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getArtifactListInPlanningFolder2(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[], boolean)`

  - ### prepareGetArtifactListInPlanningFolder3

    public void prepareGetArtifactListInPlanningFolder3(String sessionId, String parentId, SoapFilter[] filters, boolean recursive, String[] teamId, Object returnValue)
    Prepare a simulated response to getArtifactListInPlanningFolder3
    See Also:
      - `PlanningAppSoap.getArtifactListInPlanningFolder3(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[], boolean, java.lang.String[])`

  - ### getArtifactListInPlanningFolder3

    public ArtifactsInPlanningFolder2SoapList getArtifactListInPlanningFolder3(String sessionId, String parentId, SoapFilter[] filters, boolean recursive, String[] teamId) throws RemoteException
    Simulate a call to getArtifactListInPlanningFolder3
    Specified by:
      `getArtifactListInPlanningFolder3` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - if parentId is a planning folder id, this method will return artifacts that are part of this planning folder
      `filters` - Array of filters to apply (null to return unfiltered list).
      `recursive` - indicates if descendents planning folder artifacts will be included in the result
      `teamId` - if teamId is specified it shows the list of artifacts in that team
    Returns:
      List of artifacts contained in the planning folder/its descendents or artifacts not planned yet.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `InvalidFilterFault` - when the specified filters are invalid.
      `IllegalArgumentFault` - if invalid argument value is passed.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getArtifactListInPlanningFolder3(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[], boolean, java.lang.String[])`

  - ### prepareGetArtifactListInPlanningFolder

    public void prepareGetArtifactListInPlanningFolder(String parentId, String[] teamId, SoapFilter[] filters, boolean recursive, String loggedInUser, Object returnValue)
    Prepare a simulated response to getArtifactListInPlanningFolder
    See Also:
      - `PlanningAppSoap.getArtifactListInPlanningFolder(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[], boolean)`

  - ### getArtifactListInPlanningFolder

    public com.vasoftware.sf.server.services.tracker.ArtifactDetailList getArtifactListInPlanningFolder(String parentId, String[] teamId, SoapFilter[] filters, boolean recursive, String loggedInUser) throws RemoteException
    Simulate a call to getArtifactListInPlanningFolder
    Throws:
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getArtifactListInPlanningFolder(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[], boolean)`

  - ### prepareGetRankedArtifactList

    public void prepareGetRankedArtifactList(String sessionId, String planningFolderId, Object returnValue)
    Prepare a simulated response to getRankedArtifactList
    See Also:
      - `PlanningAppSoap.getRankedArtifactList(java.lang.String, java.lang.String)`

  - ### getRankedArtifactList

    public RankedArtifactSoapList getRankedArtifactList(String sessionId, String planningFolderId) throws RemoteException
    Simulate a call to getRankedArtifactList
    Specified by:
      `getRankedArtifactList` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - this method will return artifacts that are part of this planning folder
    Returns:
      List of artifacts contained in the planning folder
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `InvalidFilterFault` - when the specified filters are invalid.
      `IllegalArgumentFault` - if invalid argument value is passed.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getRankedArtifactList(java.lang.String, java.lang.String)`

  - ### prepareGetRankedArtifactList2

    public void prepareGetRankedArtifactList2(String sessionId, String planningFolderId, Object returnValue)
    Prepare a simulated response to getRankedArtifactList2
    See Also:
      - `PlanningAppSoap.getRankedArtifactList2(java.lang.String, java.lang.String)`

  - ### getRankedArtifactList2

    public RankedArtifact2SoapList getRankedArtifactList2(String sessionId, String planningFolderId) throws RemoteException
    Simulate a call to getRankedArtifactList2
    Specified by:
      `getRankedArtifactList2` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - this method will return artifacts that are part of this planning folder or its descendants
    Returns:
      List of artifacts contained in the planning folder
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `InvalidFilterFault` - when the specified filters are invalid.
      `IllegalArgumentFault` - if invalid argument value is passed.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getRankedArtifactList2(java.lang.String, java.lang.String)`

  - ### prepareGetRankedArtifactListByPlannngFolder

    public void prepareGetRankedArtifactListByPlannngFolder(String planningFolderId, String loggedInUser, Object returnValue)
    Prepare a simulated response to getRankedArtifactListByPlannngFolder
    See Also:
      - `PlanningAppSoap.getRankedArtifactListByPlannngFolder(java.lang.String, java.lang.String)`

  - ### getRankedArtifactListByPlannngFolder

    public com.vasoftware.sf.server.services.tracker.ArtifactDetailList getRankedArtifactListByPlannngFolder(String planningFolderId, String loggedInUser) throws RemoteException
    Simulate a call to getRankedArtifactListByPlannngFolder
    Throws:
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getRankedArtifactListByPlannngFolder(java.lang.String, java.lang.String)`

  - ### prepareGetPlanningFolderRecusiveFilter

    public void prepareGetPlanningFolderRecusiveFilter(String planningFolderId, com.vasoftware.sf.server.types.FolderPath planningFolderPath, String loggedInUser, Object returnValue)
    Prepare a simulated response to getPlanningFolderRecusiveFilter
    See Also:
      - `PlanningAppSoap.getPlanningFolderRecusiveFilter(java.lang.String, com.vasoftware.sf.server.types.FolderPath, java.lang.String)`

  - ### getPlanningFolderRecusiveFilter

    public com.vasoftware.sf.common.filter.Filter getPlanningFolderRecusiveFilter(String planningFolderId, com.vasoftware.sf.server.types.FolderPath planningFolderPath, String loggedInUser) throws RemoteException
    Simulate a call to getPlanningFolderRecusiveFilter
    Throws:
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getPlanningFolderRecusiveFilter(java.lang.String, com.vasoftware.sf.server.types.FolderPath, java.lang.String)`

  - ### prepareMovePlanningFolder

    public void prepareMovePlanningFolder(String sessionId, String planningFolderId, String destParentId, Object returnValue)
    Prepare a simulated response to movePlanningFolder
    See Also:
      - `PlanningAppSoap.movePlanningFolder(java.lang.String, java.lang.String, java.lang.String)`

  - ### movePlanningFolder

    public PlanningFolderSoapDO movePlanningFolder(String sessionId, String planningFolderId, String destParentId) throws RemoteException
    Simulate a call to movePlanningFolder
    Specified by:
      `movePlanningFolder` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - planning folder id to move.
      `destParentId` - destination planning folder id
    Returns:
      new planning folder object
    Throws:
      `InvalidSessionFault` - when sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - if invalid argument value is passed.
      `PlanningFolderRuleViolationFault` - if the operation would cause planning folder violation
      `RemoteException`
    See Also:
      - `PlanningAppSoap.movePlanningFolder(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareMovePlanningFolder2

    public void prepareMovePlanningFolder2(String sessionId, String planningFolderId, String destParentId, Object returnValue)
    Prepare a simulated response to movePlanningFolder2
    See Also:
      - `PlanningAppSoap.movePlanningFolder2(java.lang.String, java.lang.String, java.lang.String)`

  - ### movePlanningFolder2

    public PlanningFolder2SoapDO movePlanningFolder2(String sessionId, String planningFolderId, String destParentId) throws RemoteException
    Simulate a call to movePlanningFolder2
    Specified by:
      `movePlanningFolder2` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - planning folder id to move.
      `destParentId` - destination planning folder id
    Returns:
      new planning folder object
    Throws:
      `InvalidSessionFault` - when sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - if invalid argument value is passed.
      `PlanningFolderRuleViolationFault` - if the operation would cause planning folder violation
      `RemoteException`
    See Also:
      - `PlanningAppSoap.movePlanningFolder2(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareMovePlanningFolder3

    public void prepareMovePlanningFolder3(String sessionId, String planningFolderId, String destParentId, Object returnValue)
    Prepare a simulated response to movePlanningFolder3
    See Also:
      - `PlanningAppSoap.movePlanningFolder3(java.lang.String, java.lang.String, java.lang.String)`

  - ### movePlanningFolder3

    public PlanningFolder3SoapDO movePlanningFolder3(String sessionId, String planningFolderId, String destParentId) throws RemoteException
    Simulate a call to movePlanningFolder3
    Specified by:
      `movePlanningFolder3` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - planning folder id to move.
      `destParentId` - destination planning folder id
    Returns:
      new planning folder object
    Throws:
      `InvalidSessionFault` - when sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - if invalid argument value is passed.
      `PlanningFolderRuleViolationFault` - if the operation would cause planning folder violation
      `RemoteException`
    See Also:
      - `PlanningAppSoap.movePlanningFolder3(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareMovePlanningFolder4

    public void prepareMovePlanningFolder4(String sessionId, String planningFolderId, String destParentId, Object returnValue)
    Prepare a simulated response to movePlanningFolder4
    See Also:
      - `PlanningAppSoap.movePlanningFolder4(java.lang.String, java.lang.String, java.lang.String)`

  - ### movePlanningFolder4

    public PlanningFolder4SoapDO movePlanningFolder4(String sessionId, String planningFolderId, String destParentId) throws RemoteException
    Simulate a call to movePlanningFolder4
    Specified by:
      `movePlanningFolder4` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - planning folder id to move.
      `destParentId` - destination planning folder id
    Returns:
      new planning folder object
    Throws:
      `InvalidSessionFault` - when sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - if invalid argument value is passed.
      `PlanningFolderRuleViolationFault` - if the operation would cause planning folder violation
      `RemoteException`
    See Also:
      - `PlanningAppSoap.movePlanningFolder4(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareMovePlanningFolder5

    public void prepareMovePlanningFolder5(String sessionId, String planningFolderId, String destParentId, Object returnValue)
    Prepare a simulated response to movePlanningFolder5
    See Also:
      - `PlanningAppSoap.movePlanningFolder5(java.lang.String, java.lang.String, java.lang.String)`

  - ### movePlanningFolder5

    public PlanningFolder5SoapDO movePlanningFolder5(String sessionId, String planningFolderId, String destParentId) throws RemoteException
    Simulate a call to movePlanningFolder5
    Specified by:
      `movePlanningFolder5` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - planning folder id to move.
      `destParentId` - destination planning folder id
    Returns:
      new planning folder object
    Throws:
      `InvalidSessionFault` - when sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - if invalid argument value is passed.
      `PlanningFolderRuleViolationFault` - if the operation would cause planning folder violation
      `RemoteException`
    See Also:
      - `PlanningAppSoap.movePlanningFolder5(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareChangePlanningFolder

    public void prepareChangePlanningFolder(String planningFolderId, String destParentId, String loggedInUser, Object returnValue)
    Prepare a simulated response to changePlanningFolder
    See Also:
      - `PlanningAppSoap.changePlanningFolder(java.lang.String, java.lang.String, java.lang.String)`

  - ### changePlanningFolder

    public com.vasoftware.sf.server.services.planning.PlanningFolderDO changePlanningFolder(String planningFolderId, String destParentId, String loggedInUser) throws RemoteException
    Simulate a call to changePlanningFolder
    Throws:
      `RemoteException`
    See Also:
      - `PlanningAppSoap.changePlanningFolder(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareReorderPlanningFolders

    public void prepareReorderPlanningFolders(String sessionId, String parentId, String[] planningFolderIds)
    Prepare a simulated response to reorderPlanningFolders
    See Also:
      - `PlanningAppSoap.reorderPlanningFolders(java.lang.String, java.lang.String, java.lang.String[])`

  - ### prepareReorderPlanningFolders

    public void prepareReorderPlanningFolders(String sessionId, String parentId, String[] planningFolderIds, Exception exception)
    Prepare a simulated response to reorderPlanningFolders
    See Also:
      - `PlanningAppSoap.reorderPlanningFolders(java.lang.String, java.lang.String, java.lang.String[])`

  - ### reorderPlanningFolders

    public void reorderPlanningFolders(String sessionId, String parentId, String[] planningFolderIds) throws RemoteException
    Simulate a call to reorderPlanningFolders
    Specified by:
      `reorderPlanningFolders` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - the id of the parent planning folder
      `planningFolderIds` - an array of planning folder ids in their new order
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `IllegalArgumentFault` - if invalid argument value is passed.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.reorderPlanningFolders(java.lang.String, java.lang.String, java.lang.String[])`

  - ### prepareDeletePlanningFolder

    public void prepareDeletePlanningFolder(String sessionId, String planningFolderId)
    Prepare a simulated response to deletePlanningFolder
    See Also:
      - `PlanningAppSoap.deletePlanningFolder(java.lang.String, java.lang.String)`

  - ### prepareDeletePlanningFolder

    public void prepareDeletePlanningFolder(String sessionId, String planningFolderId, Exception exception)
    Prepare a simulated response to deletePlanningFolder
    See Also:
      - `PlanningAppSoap.deletePlanningFolder(java.lang.String, java.lang.String)`

  - ### deletePlanningFolder

    public void deletePlanningFolder(String sessionId, String planningFolderId) throws RemoteException
    Simulate a call to deletePlanningFolder
    Specified by:
      `deletePlanningFolder` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - SOAP session id.
      `planningFolderId` - planning folder id to delete.
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when one or more of the parameters are invalid.
      `VersionMismatchFault` - when an artifact associated to the planning folder
      `PlanningFolderRuleViolationFault` - if the operation would cause planning folder violation
      `RemoteException`
    See Also:
      - `PlanningAppSoap.deletePlanningFolder(java.lang.String, java.lang.String)`

  - ### prepareSetPlanningStatusValues

    public void prepareSetPlanningStatusValues(String sessionId, String projectId, PlanningStatusValueSoapDO[] statusValues)
    Prepare a simulated response to setPlanningStatusValues
    See Also:
      - `PlanningAppSoap.setPlanningStatusValues(java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.planning.PlanningStatusValueSoapDO[])`

  - ### prepareSetPlanningStatusValues

    public void prepareSetPlanningStatusValues(String sessionId, String projectId, PlanningStatusValueSoapDO[] statusValues, Exception exception)
    Prepare a simulated response to setPlanningStatusValues
    See Also:
      - `PlanningAppSoap.setPlanningStatusValues(java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.planning.PlanningStatusValueSoapDO[])`

  - ### setPlanningStatusValues

    public void setPlanningStatusValues(String sessionId, String projectId, PlanningStatusValueSoapDO[] statusValues) throws RemoteException
    Simulate a call to setPlanningStatusValues
    Specified by:
      `setPlanningStatusValues` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project for which to set the planning application status values.
      `statusValues` - Array of status values to set
    Throws:
      `NoSuchObjectFault` - when failed to get status field for the given project
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `VersionMismatchFault` - if the values have been updated since this status field was fetched
      `IllegalArgumentFault` - if the arguments are incorrectly specified.
      `InvalidOperationFault` - if the operation is not allowed.
      `SystemFault` - when an unexpected system error occurs.
      `DependencyViolationFault` - if changing a status violates artifact dependency
      `RemoteException`
    See Also:
      - `PlanningAppSoap.setPlanningStatusValues(java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.planning.PlanningStatusValueSoapDO[])`

  - ### prepareGetPlanningStatusValues

    public void prepareGetPlanningStatusValues(String sessionId, String projectId, Object returnValue)
    Prepare a simulated response to getPlanningStatusValues
    See Also:
      - `PlanningAppSoap.getPlanningStatusValues(java.lang.String, java.lang.String)`

  - ### getPlanningStatusValues

    public PlanningStatusValueSoapDO[] getPlanningStatusValues(String sessionId, String projectId) throws RemoteException
    Simulate a call to getPlanningStatusValues
    Specified by:
      `getPlanningStatusValues` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project for which to set the planning application status values.
    Returns:
      Status values for the planning application.
    Throws:
      `NoSuchObjectFault` - when failed to get status field for the given project
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getPlanningStatusValues(java.lang.String, java.lang.String)`

  - ### prepareGetColumnsForArtifactsInPlanningFolder

    public void prepareGetColumnsForArtifactsInPlanningFolder(boolean includeRelease, Object returnValue)
    Prepare a simulated response to getColumnsForArtifactsInPlanningFolder
    See Also:
      - `PlanningAppSoap.getColumnsForArtifactsInPlanningFolder(boolean)`

  - ### getColumnsForArtifactsInPlanningFolder

    public Set getColumnsForArtifactsInPlanningFolder(boolean includeRelease) throws RemoteException
    Simulate a call to getColumnsForArtifactsInPlanningFolder
    Throws:
      `RemoteException`
    See Also:
      - `PlanningAppSoap.getColumnsForArtifactsInPlanningFolder(boolean)`

  - ### prepareValidateCapacity

    public void prepareValidateCapacity(String name, int value)
    Prepare a simulated response to validateCapacity
    See Also:
      - `PlanningAppSoap.validateCapacity(java.lang.String, int)`

  - ### prepareValidateCapacity

    public void prepareValidateCapacity(String name, int value, Exception exception)
    Prepare a simulated response to validateCapacity
    See Also:
      - `PlanningAppSoap.validateCapacity(java.lang.String, int)`

  - ### validateCapacity

    public void validateCapacity(String name, int value) throws RemoteException
    Simulate a call to validateCapacity
    Throws:
      `RemoteException`
    See Also:
      - `PlanningAppSoap.validateCapacity(java.lang.String, int)`

  - ### prepareValidateBurndownViewMode

    public void prepareValidateBurndownViewMode(String burndownViewMode)
    Prepare a simulated response to validateBurndownViewMode
    See Also:
      - `PlanningAppSoap.validateBurndownViewMode(java.lang.String)`

  - ### prepareValidateBurndownViewMode

    public void prepareValidateBurndownViewMode(String burndownViewMode, Exception exception)
    Prepare a simulated response to validateBurndownViewMode
    See Also:
      - `PlanningAppSoap.validateBurndownViewMode(java.lang.String)`

  - ### validateBurndownViewMode

    public void validateBurndownViewMode(String burndownViewMode) throws RemoteException
    Simulate a call to validateBurndownViewMode
    Throws:
      `RemoteException`
    See Also:
      - `PlanningAppSoap.validateBurndownViewMode(java.lang.String)`